DUNE-PROMOTION(1)

NAME

dune-promotion - Control how changes are propagated back to source code.

SYNOPSIS

dune promotion COMMAND …

COMMANDS

apply [OPTION]… [FILE]…
    Promote files from the last run

diff [OPTION]… [FILE]…
    List promotions to be applied

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

promotion exits with the following status:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

SEE ALSO

dune(1)